Unable to put host in 'Build' mode if power management is not configured

12/21/2016 12:24 PM - Shimon Shtein

Status: New   

Priority: Normal   

Assignee: Shimon Shtein   

Category: Unattended installations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link: 1350164 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1350164

Description of problem:

Created a host through Satellite on RHEV-M. When power management is not configured 'Build' button fails to show review dialog

which gives option to put host in build mode.

Version-Release number of selected component (if applicable):

Satellite 6.2 Snap 17

How reproducible:

Each time

Steps to Reproduce:

1. Setup RHEV-M where power management not configured.

2. Create host and either cancel build or wait for build process to complete.

3. Try to put host in build mode by selecting Host from All Host tab and clicking on 'Build' button. This fails to show review tab which

has two options 'Cancel' or 'Build' hence not possible to again put host in build mode.

Actual results:

The review page does not load as power management is not configured, in production.log it fails with error as below,

| Foreman::Exception: ERF42-9958 [Foreman::Exception]: Unknown power management support - can't co

ntinue

 Expected results:

The review tab should work, as it works on Satellite 6.1.9

Additional info:

Attaching production.log snip to know full traceback

History

#1 - 12/21/2016 12:27 PM - Shimon Shtein

- Subject changed from Unable to put host in 'Build' mode if power management is not configured on RHEV to Unable to put host in 'Build' mode if

power management is not configured

- Assignee set to Shimon Shtein

- Target version set to 1.15.3

This is due to code in HostsController#setBuild that tries to reboot the host without checking first that the host has valid power control.
#2 - 07/23/2018 09:25 AM - Tomer Brisker

- Target version deleted (1.15.3)
